package com.unis.safety.common.constant;

public enum PlanStatusConstant {
    /**
     * 用于计划下发情况
     */
    TO_BE_ISSUE("0","待下发"),
    ISSUED("1","已下发"),
    FINISHED("2","已完成");

    private String name;
    private String value;

    private PlanStatusConstant(String value, String name){
        this.value=value;
        this.name=name;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }
}
