package com.unis.safety.common.vo.safety;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * Author liugd
 * Description 培训管理
 */
@ApiModel(value = "培训管理签到表")
@Data
public class TrainingRecordVO implements Serializable{
    private static final long serialVersionUID = 1L;

    private String pxbm;
    private String qdr;
    private String qddw;
    private String qdmc;
    @ApiModelProperty(value = "创建时间", notes ="上报时间")
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    //@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private String qdsj;
}
