package com.unis.safety.server.dao;

import com.github.pagehelper.Page;
import com.unis.safety.common.vo.safety.TrainingRecordVO;
import com.unis.safety.common.vo.safety.TrainingVO;
import com.unis.safety.server.entity.safety.TrainingDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface TrainingDao extends Mapper<TrainingDO> {
    Page<TrainingVO> selectPageList(TrainingVO vo);

    List<TrainingRecordVO> selectByDybm(String acbm);

    void deleteByDybm(String dybm);

    Page<TrainingVO> selectPageLists(TrainingVO vo);

    List<TrainingVO> selectTrainingList(String date);
}
