package com.unis.safety.server.entity.safety;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Author liugd
 * Description 事故管理主体
 */

@Data
@Table(name="sp_accident")
public class AccidentDO extends BaseDO {
    private static final long serialVersionUID = 1L;
    @Id
    private String acbm;

    private String dwmc;

    private String dwbm;

    private String address;

    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private String fssj;

    private Integer sgdj;

    private String sgdjmc;

    private String ssqk;

    private Integer ssnum;

    private Integer swnum;

    private String fsyy;

    private String clqk;

    private String sbr;

    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private String sbsj;

    private String sbdwmc;

    private String sbdw;

    private String ckzt;

    private String sbzt;

    private String sbztmc;
}
