package com.unis.safety.server.entity.safety;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * Author liugd
 * Description 事故管理主体
 */

public class AccidentStatementDO{
    private static final long serialVersionUID = 1L;
   

    private String qymc;//区域名称
    
    private String sgdjmc;//事故等级名称
    private Integer sgdjsl;//事故等级数量
    
    private Integer yijicount;//一级数量
    
    private Integer erjicount;//二级数量
    
    private Integer sanjicount;//三级数量
    
    private Integer sijicount;//四级数量
    
    private Integer wujicount;//五级数量
    
    private Integer sgzs;//事故总数
    
    private Integer ssrs;//受伤人数
    
    private Integer swrs;//死亡人数
    
    private Integer swzs;//伤亡总数

    
    
	public String getQymc() {
		return qymc;
	}

	public void setQymc(String qymc) {
		this.qymc = qymc;
	}

	public Integer getYijicount() {
		return yijicount;
	}

	public void setYijicount(Integer yijicount) {
		this.yijicount = yijicount;
	}

	public Integer getErjicount() {
		return erjicount;
	}

	public void setErjicount(Integer erjicount) {
		this.erjicount = erjicount;
	}

	public Integer getSanjicount() {
		return sanjicount;
	}

	public void setSanjicount(Integer sanjicount) {
		this.sanjicount = sanjicount;
	}

	public Integer getSijicount() {
		return sijicount;
	}

	public void setSijicount(Integer sijicount) {
		this.sijicount = sijicount;
	}

	public Integer getWujicount() {
		return wujicount;
	}

	public void setWujicount(Integer wujicount) {
		this.wujicount = wujicount;
	}

	public Integer getSgzs() {
		return sgzs;
	}

	public void setSgzs(Integer sgzs) {
		this.sgzs = sgzs;
	}

	public Integer getSsrs() {
		return ssrs;
	}

	public void setSsrs(Integer ssrs) {
		this.ssrs = ssrs;
	}

	public Integer getSwrs() {
		return swrs;
	}

	public void setSwrs(Integer swrs) {
		this.swrs = swrs;
	}

	public Integer getSwzs() {
		return swzs;
	}

	public void setSwzs(Integer swzs) {
		this.swzs = swzs;
	}

	public String getSgdjmc() {
		return sgdjmc;
	}

	public void setSgdjmc(String sgdjmc) {
		this.sgdjmc = sgdjmc;
	}

	public Integer getSgdjsl() {
		return sgdjsl;
	}

	public void setSgdjsl(Integer sgdjsl) {
		this.sgdjsl = sgdjsl;
	}
    
    
    
    

}