package com.unis.safety.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.TrainingVO;

import java.util.List;

/**
 * @author lgd36
 */
public interface TrainingService {
    ResponseWrapper insertTraining(TrainingVO vo);

    ResponseWrapper updateTraining(TrainingVO vo);

    ResponseWrapper selectTrainingPageList(int pageNum, int pageSize, TrainingVO vo);

    ResponseWrapper selectTrainingDetail(String id);

    ResponseWrapper deleteTraining(String id);

    ResponseWrapper uploadTraining(TrainingVO vo);

    List<TrainingVO> selectTrainingList(String date);

    void updateTrain(TrainingVO trainingVO);
}
