package com.unis.safety.api.safety;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.AccidentVO;
import com.unis.safety.common.vo.safety.DutyVO;
import org.springframework.web.bind.annotation.*;

/**
 * Author liugd
 *  值班安排
 */
@RequestMapping("duty")
public interface DutyApi {

    //值班安排-新增
    @PostMapping("/insertDuty")
    public ResponseWrapper insertDuty(@RequestBody DutyVO vo);

    //值班安排-修改
    @PostMapping("/updateDuty")
    public ResponseWrapper updateDuty(@RequestBody DutyVO vo);

 	//值班安排-分页查询列表
    @PostMapping("/selectDutyPageList")
    public ResponseWrapper selectDutyPageList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize,
                                                  @RequestBody DutyVO vo);

    //值班安排-查询单个
    @PostMapping("/selectDutyDetail/{id}")
    public ResponseWrapper selectDutyDetail(@RequestParam("id") String id);

    @PostMapping("/selectToDo")
    public ResponseWrapper selectToDo(@RequestBody DutyVO vo);

    //值班安排-查询全部数据
    @PostMapping("/selectDutyAll")
    public ResponseWrapper selectDutyAll(@RequestBody DutyVO vo);

    //事故管理-查询单个
    @PostMapping("/selectDutyByDetail")
    public ResponseWrapper selectDutyByDetail(@RequestBody DutyVO vo);

    //值班安排-查询单个
    @GetMapping("/isDuty")
    public ResponseWrapper isDuty(@RequestParam("jhsj") String jhsj);

    //值班安排-查询单个
    @PostMapping("/isAddDuty")
    public ResponseWrapper isAddDuty(@RequestParam("qyxx") String qyxx);
}