package com.unis.safety.common.constant;

public enum SafeConstant {
    /**
     * 用于培训，值班，事故状态
     */
    DTJ("0","待提交"),
    YTJ("1","已提交"),
    ZBZ("2","准备中"),
    JXZ("3","进行中"),
    YJS("4","会议结束"),
    KCK("4","可查看");

    private String name;
    private String value;

    private SafeConstant(String value, String name){
        this.value=value;
        this.name=name;
    }

    public String getValue(){
        return this.value;
    }
    public void setValue(String value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }
}
