package com.unis.safety.common.vo.safety;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Author liugd
 * Description 事故管理记录表
 */
@ApiModel(value = "事故管理记录表")
@Data
public class AccidentRecordVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ac+8位顺序号  编码", notes ="", required = false)
    private String acbm;

    @ApiModelProperty(value = "事故等级", notes ="", required = false)
    private Integer sgdj;

    @ApiModelProperty(value = "损失情况", notes ="", required = false)
    private String ssqk;

    @ApiModelProperty(value = "事故等级名称", notes ="", required = false)
    private String sgdjmc;

    @ApiModelProperty(value = "受伤人数", notes ="", required = false)
    private Integer ssnum;

    @ApiModelProperty(value = "死亡人数", notes ="", required = false)
    private Integer swnum;

    @ApiModelProperty(value = "发生原因", notes ="", required = false)
    private String fsyy;

    @ApiModelProperty(value = "处理情况", notes ="", required = false)
    private String clqk;

}
