package com.unis.safety.common.vo.safety;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * Author liugd
 * Description 值班安排
 */
@ApiModel(value = "值班安排子表")
@Data
public class DutyRecordVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "dy+8位顺序号  编码", notes ="", required = false)
    private String dybm;

    @ApiModelProperty(value = "日期", notes ="", required = false)
    private String rq;

    @ApiModelProperty(value = "带班领导id", notes ="", required = false)
    private String dbld;

    @ApiModelProperty(value = "带班领导", notes ="", required = false)
    private String dbmc;

    @ApiModelProperty(value = "职务", notes ="", required = false)
    private String zw;

    @ApiModelProperty(value = "带班领导电话", notes ="", required = false)
    private String dbdh;

    @ApiModelProperty(value = "值班人员", notes ="", required = false)
    private String zbr;

    @ApiModelProperty(value = "值班电话", notes ="", required = false)
    private String zbdh;

    @ApiModelProperty(value = "传真", notes ="", required = false)
    private String cz;

    @ApiModelProperty(value = "联系方式", notes ="", required = false)
    private String tel;

    @ApiModelProperty(value = "备注", notes ="", required = false)
    private String bz;

    private String sign;

}
