package com.unis.safety.server.dao;

import com.github.pagehelper.Page;
import com.unis.safety.common.vo.safety.AccidentRecordVO;
import com.unis.safety.common.vo.safety.AccidentVO;
import com.unis.safety.server.entity.safety.AccidentDO;
import com.unis.safety.server.entity.safety.AccidentStatementDO;

import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface AccidentDao extends Mapper<AccidentDO> {
    Page<AccidentVO> selectPageList(AccidentVO vo);

    List<AccidentRecordVO> selectByAcbm(String acbm);

	List<AccidentStatementDO> selectAccidentStatement(Map<String, Object> map1);

	List<AccidentStatementDO> selectQymc(Map<String, Object> map1);

}
