package com.unis.safety.server.dao;

import com.github.pagehelper.Page;
import com.unis.safety.common.vo.safety.DutyRecordVO;
import com.unis.safety.common.vo.safety.DutyVO;
import com.unis.safety.server.entity.safety.DutyDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface DutyDao extends Mapper<DutyDO> {
    Page<DutyVO> selectPageList(DutyVO vo);

    List<DutyRecordVO> selectByDybm(String acbm);

    void deleteByDybm(String dybm);

    DutyVO findDuty(@Param("jhsj") String jhsj, @Param("dwbm")String dwbm);

    Page<DutyVO> selectPageLists(DutyVO vo);

    DutyVO selectDutyByDetail(DutyVO vo);

    Page<DutyVO> selectPageListQlb(DutyVO vo);

    Page<DutyVO> selectPageListSb(DutyVO vo);
}
