package com.unis.safety.server.entity.safety;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Table;
import java.util.Date;

/**
 * Author liugd
 * Description 事故管理记录表
 */
@Data
@Table(name="sp_accident_record")
public class AccidentRecordDO {

    private static final long serialVersionUID = 1L;
    private String acbm;
    private Integer sgdj;
    private String ssqk;
    private String sgdjmc;
    private Integer ssnum;
    private Integer swnum;
    private String fsyy;
    private String clqk;
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private String xgsj;

}
