package com.unis.safety.server.entity.safety;


import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * Author liugd
 * Description 值班安排
 */
@ApiModel(value = "值班安排主表")
@Data
@Table(name="sp_duty")
public class DutyDO extends BaseDO {
    private static final long serialVersionUID = 1L;

    @Id
    private String dybm;

    @ApiModelProperty(value = "单位名称", notes ="", required = false)
    private String dwmc;

    @ApiModelProperty(value = "单位编码", notes ="", required = false)
    private String dwbm;

    @ApiModelProperty(value = "上级单位编码", notes ="", required = false)
    private String sjdwbm;

    private String sjdj;

    @ApiModelProperty(value = "计划时间", notes ="", required = false)
    private String jhsj;

    @ApiModelProperty(value = "附件", notes ="", required = false)
    private String fjid;

    @ApiModelProperty(value = "上报人", notes ="", required = false)
    private String sbr;

    @ApiModelProperty(value = "上报时间", notes ="上报时间")
    //@DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private String sbsj;

    @ApiModelProperty(value = "事故状态 0 待提交 1 已提交", notes ="", required = false)
    private String sbzt;

    @ApiModelProperty(value = "事故状态名称", notes ="", required = false)
    private String sbztmc;

    private String ckzt;

    @ApiModelProperty(value = "每月记录状态 0 有代办 1 无代办", notes ="", required = false)
    private String jlzt;

}
