package com.unis.safety.server.entity.safety;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.safety.server.entity.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Author liugd
 * Description 培训管理
 */
@ApiModel(value = "培训管理签到表")
@Data
@Table(name="sp_training_record")
public class TrainingRecordDO extends BaseDO{
    private static final long serialVersionUID = 1L;

    private String pxbm;
    private String qdr;
    private String qddw;
    private String qdmc;
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qdsj;
}
