package com.unis.safety.server.service;

import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.unis.common.utils.ResponseWrapper;
import com.unis.safety.common.vo.safety.AccidentVO; /**
 * @author lgd36
 */
public interface AccidentService {
    ResponseWrapper insertAccident(AccidentVO vo);

    ResponseWrapper updateAccident(AccidentVO vo);

    ResponseWrapper selectAccidentPageList(int pageNum, int pageSize, AccidentVO vo);

    ResponseWrapper selectAccidentDetail(AccidentVO vo);

    ResponseWrapper deleteAccident(AccidentVO vo);

	ResponseWrapper selectAccidentStatement(String createDate);

	HSSFWorkbook exportByEntity(String createDate);

	HSSFWorkbook getCells(Integer sumColumn, HSSFSheet sheet, HSSFWorkbook wb, String createDate);
}
